#include <iostream>
#include <map>
#include "point2d.h"
#include "triangulation.h"
#include <sstream>
#include <string>

using namespace std;

int main(){

	Triangulation tri("coordinates.txt","elements.txt");
	std::cout << "Number of elements " << tri.get_n_elements() << std::endl;
	
	tri.output("mesh.txt");
	tri.refineuniformly();
    tri.output("mesh1.txt");  
	tri.refineuniformly();
    tri.output("mesh2.txt"); 

	return 0;
}
