#ifndef Point2D_H
#define Point2D_H 1

#include <cmath>
#include <algorithm>

class Point2D{
	
public:
	double x,y;
	double eps;
	

	//Constructor
	Point2D(const double _x, const double _y, const double precision = 0.0000000000001);

	//Copy-Constuctor
	Point2D(const Point2D & copy);


	//Computes the center point between two points
	Point2D
	center(const Point2D & p) const;

};

/********
 * TODO * 
 ********/
Point2D::Point2D(const double _x, const double _y, const double precision)
{}

/********
 * TODO * 
 ********/
Point2D::Point2D(const Point2D & copy)
{}

/********
 * TODO * 
 ********/
Point2D
Point2D::center(const Point2D & p) const
{}

bool 
operator==(const Point2D & p1, Point2D & p2){
	double minerr = std::min(p1.eps,p2.eps);
	if(fabs(p1.x-p2.x) < minerr && fabs(p1.y-p2.y) < minerr){
		return true;
	}
	return false;
}


#endif // Point2D